Subject: [CDNi] draft-ietf-cdni-request-routing-extensions-05 excludes IPv6 addresses, is that intentional?

From: Ben Niven-Jenkins <[email-masked]>
Date: Mon, 9 Sep 2019 17:09:58 +0100

CDNIers & authors of draft-ietf-cdni-request-routing-extensions

While reviewing draft-ietf-cdni-request-routing-extensions-05 in my role as designated expert for the CDNI Payload Types registry I noticed that draft-ietf-cdni-request-routing-extensions-05 specifies the DnsTarget of the Redirect Target Capability Object (section 2.1) as: “Target address for a DNS A record or CNAME record.” and the prose description in section 2 is consistent with that definition: "A redirect target for DNS redirection is an IP address used as an A record response or a FQDN used as an alias in a CNAME record response (see [RFC1034]) of the uCDN DNS router.”

Is there a reason that IPv6 addresses (AAAA records) are excluded from being allowed as DnsTargets, or is this an oversight?

Thanks
Ben

---

From: "Ori Finkelman (IETF)" <[email-masked]>
Date: Mon, 9 Sep 2019 21:00:38 +0300

Thanks Ben for the catch, indeed an oversight on my part.
I will fix it for the next revision.

Best regards,
Ori

On Mon, Sep 9, 2019 at 7:10 PM Ben Niven-Jenkins <[email-masked]>
wrote:

> While reviewing draft-ietf-cdni-request-routing-extensions-05 in my role
> as designated expert for the CDNI Payload Types registry I noticed that
> draft-ietf-cdni-request-routing-extensions-05 specifies the DnsTarget of
> the Redirect Target Capability Object (section 2.1) as: “Target address for
> a DNS A record or CNAME record.” and the prose description in section 2 is
> consistent with that definition: "A redirect target for DNS redirection is
> an IP address used as an A record response or a FQDN used as an alias in a
> CNAME record response (see [RFC1034]) of the uCDN DNS router.”
>
> Is there a reason that IPv6 addresses (AAAA records) are excluded from
> being allowed as DnsTargets, or is this an oversight?
>
> Thanks
> Ben
>
>